function OnSceneLoad(screen)
    game_state = {}    
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    --level:AddTaskSafe(CreateTask('', '', ''))
    --zone = CreateZoomZone('')
    game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    game_state.inventory_zones = {}
	game_state.active_objects = {}
	
	
	local object = play_field:GetObject('sprait_radiatora');
	inventory_radiator = CreateInventory(object:GetX(),
                                        object:GetY(),
                                        object:GetZ() + 10,
                                        "sprait_radiatora",
                                        CreateItem('screwdriver_tool', 'screwdriver'),
                                        CreateItem('wrench1_tool', 'wrench1_scaled'),
                                        CreateItem('wrench2_tool', 'wrench2_scaled'),
                                        play_field:GetTimer(),
										"INVENTORY_TASK_25_1");
										
	inventory_radiator.state_changer = 'OnRadiatorComplete'
										
	inventory_radiator.OnComplete = function()
		local s = CreateSoundEntity("25_Radiator")
		s:AttachTo(play_field)
		s:Play(false)
		play_field:GetObject('sprait_radiatora'):ChangeOpacity(1, 0, 0.3);
		RegisterZoomZone(zoom_radiator, 'radiator_active_zone')
	end
	
	CreateTool('screwdriver', 'screwdriver')
	CreateTool('wrench1', 'wrench1_scaled')
	CreateTool('wrench2', 'wrench2_scaled')
	
	zoom_radiator = CreateZoomZone('close_zone_radiator',
                                  '',
                                  'radiator_bak',
                                  'piece_of_map')
								  
	level:AddTaskSafe( CreateTask('PIECE_OF_MAP', '', 'piece_of_map') );
	
	AddRandomTasks(17,
				CreateTask('AMPHORA', '', 'Amphora'),
				CreateTask('ANTENNA', '', 'Antenna'),
				CreateTask('BALANCE', '', 'balance'),
				CreateTask('BROOM', '', 'BROOM'),
				CreateTask('BUCKET', '', 'bucket'),
				CreateTask('BUTTERFLY', '', 'butterfly'),
				CreateTask('CHAIR', '', 'chair'),
				CreateTask('CLOCK', '', 'clock'),
				CreateTask('CRAWBAR', '', 'CRAWBAR'),
				CreateTask('DRILL', '', 'drill'),
				CreateTask('EIFEL_TOWER', '', 'EIFEL_TOWER'),
				CreateTask('FLASHLIGHT', '', 'FLASHLIGHT'),
				CreateTask('HELMET', '', 'helmet'),
				--CreateTask('JAG', 'JAGS', 'jag', 'jag_2'),
				CreateTask('LAWN_MOWER', '', 'lawn_mower'),
				CreateTask('FRYING_PAN', '', 'pan'),
				CreateTask('PANDA', '', 'panda'),
				CreateTask('PEARL', '', 'pearl'),
				CreateTask('PINCERS', '', 'PINCERS'),
				CreateTask('SAW', '', 'saw'),
				--CreateTask('SCREWDRIVER', '', 'SCREWDRIVER_2'),
				CreateTask('SHIP', '', 'ship'),
				CreateTask('SHOVEL', '', 'SHOVEL'),
				CreateTask('SKITTLE', '', 'SKITTLE'),
				CreateTask('SOLDERING_IRON', '', 'soldering_iron'),
				CreateTask('STAIRS', '', 'stairs'),
				CreateTask('STAR', '', 'star'),
				CreateTask('TABLE', '', 'table'),
				CreateTask('WASHING_MACHINE', '', 'washing_machine'),
				CreateTask('WHEELBARROW', '', 'wheelbarrow'),
				CreateTask('WIRE', '', 'wire')
                 );
	
	InitChain1(screen);
	game_state.chain1.state_changer = 'OnStartingComicsComplete'
	InitChain2(screen);
	InitChain3(screen);
	InitChain4(screen);
	--game_state.chain4.final = true
	AddSheriffEyeLogic();
	
	play_field:GetObject('plan_new_1'):SetOpacity(0)
    play_field:GetObject('plan_new_2'):SetOpacity(0)
		
	SwayObjectByAngle('sprait_mashiny', 1, 4)
	game_state.meta_object = 'cigar25'
	game_state.OnStartingComicsComplete = function()
		inventory_radiator.Unlock()
	end
	game_state.OnRadiatorComplete = function()
		play_field:GetObject('sprait_radiatora'):SetOpacity(0)
		RegisterZoomZone(zoom_radiator, 'radiator_active_zone')
	end
	
	game_state.OnMinigameConditionsComplete = function()
	    if game_state.do_not_load_mini_game then
	        return
	    end
	    load_screen('data/Scenes/Minigames/25_hanoi_tower.lua')
	end
	
	game_state.OnChain2NotShown = function()
	    if GetProfileManager():GetCurrentProfile():CallsFunction('DoNotShowChain2') then
	        return
	    end
	    game_state.chain2.Start()
	end
	
	game_state.DoNotShowChain2 = function()
	     if GetProfileManager():GetCurrentProfile():CallsFunction('OnMinigameConditionsComplete') then
	        return
	    end
	    if IsNotebookClosed() and ArePanelTasksComplete() then
			game_state.chain3.Start()
		end
	end
	
	game_state.meta_object = 'cigar25'
end

function InitChain1(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes');    
	
	comics1.OnHidden = function()
		comics1.DefaultOnHidden()
		inventory_radiator.Unlock()
	end
    
    game_state.chain1 = CreateChain('pixel_comics_1',
                                    screen,
                                    comics1, GetString("COMICS_25_1"));
end

function InitChain2(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes');        
    
    game_state.chain2 = CreateChain('pixel_comics_2',
                                    screen,
                                    comics1, GetString("COMICS_25_2"));
end

function InitChain3(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes'); 
    comics1.OnHidden = function()
		comics1.DefaultOnHidden()
		RestoreMap()
	end     
    
    game_state.chain3 = CreateChain('pixel_comics_3',
                                    screen,
                                    comics1, GetString("COMICS_25_3"));
end

function InitChain4(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes'); 
    comics1.OnHidden = function()
		load_screen('data/Scenes/Minigames/25_hanoi_tower.lua')
	end     
    
    game_state.chain4 = CreateChain('pixel_comics_4',
                                    screen,
                                    comics1, GetString("COMICS_25_4"));
end

function RestoreMap()
    local o1 = play_field:GetObject('plan_new_1')
    local o2 = play_field:GetObject('plan_new_2')
    
    o1:GetAnimation():SetColor('0xFFFFFFFF')
    o2:GetAnimation():SetColor('0xFFFFFFFF')
    
    local appearing_time = 0.3
    local move_time = 1
    o1:ChangeOpacity(0, 1, appearing_time)
    local af = CreateAnimationEffector()
    af:AttachTo(o1)
    af:SetKey(_TRACK_X, 0, o1:GetX())
    af:SetKey(_TRACK_X, appearing_time, o1:GetX())
    af:SetKey(_TRACK_X, appearing_time + move_time, 697)
    af:SetKey(_TRACK_Y, 0, o1:GetY())
    af:SetKey(_TRACK_Y, appearing_time, o1:GetY())
    af:SetKey(_TRACK_Y, appearing_time + move_time, 383)
    af:SetKey(_TRACK_A, 0, o1:GetAngle())
    af:SetKey(_TRACK_A, appearing_time, o1:GetAngle())
    af:SetKey(_TRACK_A, appearing_time + move_time, 0)
    af:Play()
    
    o2:ChangeOpacity(0, 1, 0.3)
    local af = CreateAnimationEffector()
    af:AttachTo(o2)
    af:SetKey(_TRACK_X, 0, o2:GetX())
    af:SetKey(_TRACK_X, appearing_time, o2:GetX())
    af:SetKey(_TRACK_X, appearing_time + move_time, 422)
    af:SetKey(_TRACK_Y, 0, o2:GetY())
    af:SetKey(_TRACK_Y, appearing_time, o2:GetY())
    af:SetKey(_TRACK_Y, appearing_time + move_time, 383)
    af:SetKey(_TRACK_A, 0, o2:GetAngle())
    af:SetKey(_TRACK_A, appearing_time, o2:GetAngle())
    af:SetKey(_TRACK_A, appearing_time + move_time, 0)
    af:Play()
    
end

function OnSceneFree(screen)
    FreeData(screen)
end

function OnNotebookClosed()
    game_state.chain3.Start()
end

function OnUpdate(dt)
end

function OnScreenShown()
	game_state.chain1.Start()
end

function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)

    if is_wrong_click then
        --pf:ShowWrongObjectEffect()
        local o1 = play_field:GetObject('plan_new_1')
        local o2 = play_field:GetObject('plan_new_2')
        if o1:GetOpacity() == 1 and o1:GetAngle() == 0 then
            o1:ChangeOpacity(1, 0, 0.3)
            o2:ChangeOpacity(1, 0, 0.3)
            GetProfileManager():GetCurrentProfile():AddStateChanger('OnMinigameConditionsComplete')
            game_state.chain4.Start()
        end
    end

    return is_wrong_click;    
end

function OnObjectMouseUp(object)
end

function OnObjectWasFound(object)
    if object:GetName() == 'piece_of_map' then
        GetProfileManager():GetCurrentProfile():AddStateChanger('DoNotShowChain2')
        game_state.chain2.Start()
    end
end

function OnObjectWillBeFound(object)
	if object:GetName() == 'piece_of_map' then
	    GetProfileManager():GetCurrentProfile():AddStateChanger('OnChain2NotShown')
        zoom_radiator.SetVisible(false)        
        game_state.locker:Release()
		UnregisterZoomZone(zoom_radiator)
    end
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

function OnMinigameCompleted()
	OnWin();
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,90,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/screwdriver.png',0,0,56,29,1,0)
	anim:SetHotSpot(28,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('screwdriver',anim,417,683,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/wrench1.png',0,0,82,63,1,0)
	anim:SetHotSpot(41,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wrench1',anim,800,359,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/wrench2.png',0,0,67,78,1,0)
	anim:SetHotSpot(33,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wrench2',anim,617,759,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Layers/sprait_mashiny.png',0,0,207,276,1,0)
	anim:SetHotSpot(103,0)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_mashiny',anim,616,-9,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Layers/sprait_spinki_stula.png',0,0,38,31,1,0)
	anim:SetHotSpot(19,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_spinki_stula',anim,1013,578,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/screwdriver.png',0,0,56,29,1,0)
	anim:SetHotSpot(28,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('screwdriver_tool',anim,479,32,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/wrench1.png',0,0,82,63,1,0)
	anim:SetHotSpot(41,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wrench1_tool',anim,497,82,100,0,0.9,0.9)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/wrench1.png',0,0,82,63,1,0)
	anim:SetHotSpot(41,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wrench1_scaled',anim,801,358,100,0,0.9,0.9)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/wrench2.png',0,0,67,78,1,0)
	anim:SetHotSpot(33,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wrench2_tool',anim,468,146,100,0,0.9,0.9)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/wrench2.png',0,0,67,78,1,0)
	anim:SetHotSpot(33,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wrench2_scaled',anim,619,756,100,0,0.9,0.9)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Zoom/radiator_bak.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('radiator_bak',anim,509,384,350,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Zoom/piece_of_map.png',0,0,119,75,1,0)
	anim:SetHotSpot(59,37)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('piece_of_map',anim,768,363,355,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,530,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Sheriff',anim,756,390,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('eyes',anim,745,212,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_1',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_2',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_3',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_4',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/plan_new_1.png',0,0,370,480,1,0)
	anim:SetHotSpot(185,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('plan_new_1',anim,839,254,410,180,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/plan_new_2.png',0,0,359,480,1,0)
	anim:SetHotSpot(179,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('plan_new_2',anim,180,505,410,-180,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/cigar25.png',0,0,75,17,1,0)
	anim:SetHotSpot(37,8)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cigar25',anim,479,624,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/Amphora.png',0,0,173,139,1,0)
	anim:SetHotSpot(86,69)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Amphora',anim,763,699,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/Antenna.png',0,0,49,53,1,0)
	anim:SetHotSpot(24,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Antenna',anim,891,173,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/balance.png',0,0,63,53,1,0)
	anim:SetHotSpot(31,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('balance',anim,975,523,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/BROOM.png',0,0,205,58,1,0)
	anim:SetHotSpot(102,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BROOM',anim,355,672,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/bucket.png',0,0,62,96,1,0)
	anim:SetHotSpot(31,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bucket',anim,906,609,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/butterfly.png',0,0,36,37,1,0)
	anim:SetHotSpot(18,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('butterfly',anim,436,70,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/chair.png',0,0,69,74,1,0)
	anim:SetHotSpot(34,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('chair',anim,753,401,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/clock.png',0,0,38,39,1,0)
	anim:SetHotSpot(19,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clock',anim,463,462,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/CRAWBAR.png',0,0,135,95,1,0)
	anim:SetHotSpot(67,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('CRAWBAR',anim,638,710,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/drill.png',0,0,80,45,1,0)
	anim:SetHotSpot(40,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('drill',anim,334,596,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/EIFEL_TOWER.png',0,0,70,102,1,0)
	anim:SetHotSpot(35,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('EIFEL_TOWER',anim,614,409,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/FLASHLIGHT.png',0,0,72,60,1,0)
	anim:SetHotSpot(36,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('FLASHLIGHT',anim,984,711,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/helmet.png',0,0,71,61,1,0)
	anim:SetHotSpot(35,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('helmet',anim,345,339,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/jag.png',0,0,70,57,1,0)
	anim:SetHotSpot(35,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('jag',anim,436,725,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/jag_2.png',0,0,70,97,1,0)
	anim:SetHotSpot(35,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('jag_2',anim,602,615,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/lawn_mower.png',0,0,89,66,1,0)
	anim:SetHotSpot(44,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lawn_mower',anim,455,211,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/pan.png',0,0,29,72,1,0)
	anim:SetHotSpot(14,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pan',anim,415,527,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/panda.png',0,0,92,64,1,0)
	anim:SetHotSpot(46,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('panda',anim,281,233,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/pearl.png',0,0,89,38,1,0)
	anim:SetHotSpot(44,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pearl',anim,382,723,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/PINCERS.png',0,0,147,46,1,0)
	anim:SetHotSpot(73,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('PINCERS',anim,258,744,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/saw.png',0,0,151,92,1,0)
	anim:SetHotSpot(75,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('saw',anim,219,696,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/SCREWDRIVER_2.png',0,0,47,99,1,0)
	anim:SetHotSpot(23,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('SCREWDRIVER_2',anim,285,607,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/ship.png',0,0,78,65,1,0)
	anim:SetHotSpot(39,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ship',anim,500,684,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/SHOVEL.png',0,0,37,145,1,0)
	anim:SetHotSpot(18,72)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('SHOVEL',anim,526,549,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/SKITTLE.png',0,0,55,50,1,0)
	anim:SetHotSpot(27,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('SKITTLE',anim,646,493,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/soldering_iron.png',0,0,155,84,1,0)
	anim:SetHotSpot(77,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('soldering_iron',anim,854,725,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/stairs.png',0,0,76,87,1,0)
	anim:SetHotSpot(38,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stairs',anim,988,418,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/star.png',0,0,73,68,1,0)
	anim:SetHotSpot(36,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('star',anim,496,728,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/table.png',0,0,83,82,1,0)
	anim:SetHotSpot(41,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('table',anim,320,88,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/washing_machine.png',0,0,53,55,1,0)
	anim:SetHotSpot(26,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('washing_machine',anim,425,327,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/wheelbarrow.png',0,0,117,74,1,0)
	anim:SetHotSpot(58,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wheelbarrow',anim,402,617,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Items/wire.png',0,0,57,99,1,0)
	anim:SetHotSpot(28,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wire',anim,335,454,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Layers/sprait_radiatora.png',0,0,89,94,1,0)
	anim:SetHotSpot(44,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_radiatora',anim,781,570,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Layers/antenna_layer.png',0,0,39,31,1,0)
	anim:SetHotSpot(19,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('antenna_layer',anim,886,197,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Layers/skittle_layer.png',0,0,44,34,1,0)
	anim:SetHotSpot(22,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('skittle_layer',anim,646,506,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/25_wall_10/Zoom/radiator_active_zone.png',0,0,90,77,1,0)
	anim:SetHotSpot(45,38)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('radiator_active_zone',anim,781,572,102,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
